use super::compare::WasmDiffEntry;
use crate::compare::Token;

pub trait WasmElispCompare<'s, 'p> {
    fn compare_ast_node<'b>(
        &self,
        source: &'s str,
        emacs: &'b Token<'s>,
    ) -> Result<WasmDiffEntry<'b, 's>, Box<dyn std::error::Error>>;
}
